<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

if (!isset($_SESSION["lng"])) $_SESSION["lng"]="fr";
include_once("../lng/".$_SESSION["lng"].".inc.php"); // Paramètres de language
include_once("../inc/config.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_log.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_time.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("../inc/lst.inc.php");
include_once("../inc/fic_age.inc.php");
include_once("../inc/fic_cli.inc.php");
include_once("../inc/fic_cocl.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/fic_int.inc.php");
include_once("../inc/fic_rel.inc.php");
include_once("../inc/fic_tec.inc.php");
include_once("../inc/fic_zc.inc.php");
Archivelog(@$_SESSION["code_log"]);

$pbm_site=FALSE;
$pbm_cli=FALSE;
$pbm_int = FALSE;
$pbm_cocl = FALSE;
$sitep=FALSE;
$lstsites = "";

// On a pas validé
if (strip_tags(trim(@$_POST["val"])) <> $but_valider)
{
	$cc = strip_tags(trim($_GET['cc'])); // Récupération code Client
	$ci = strip_tags(trim($_GET['ci'])); // Récupération code Intervention
	$co = strip_tags(trim($_GET['co'])); // Récupération code Contrat
	$td = strip_tags(trim($_GET['td'])); // Récupération type demande
	$dte = datefrang(strip_tags(trim($_GET['dte']))); // Récupération date de contrôle
	$si = intval(strip_tags(trim($_GET['si']))); // Récupération site Intervention
	$ca = strip_tags(trim($_GET['ca'])); // Récupération code agence gestionnaire
	$cas = strip_tags(trim($_GET['cas'])); // Récupération code agence site
	$tr = strip_tags(trim($_GET['tr'])); // Récupération code technicien responsable
	
	if (($td<>"edit") AND ($td<>"view") AND ($td<>"add"))
		$pbm_int=TRUE;

	// On contrôle le code site
	if (($si==NULL) OR ($si<0))
		$si=0;
	if ($si==0)
		$sitep = TRUE;
		
	if ($si<>0)
	{
		$row=lit_enr_scli_id($si,TRUE);
		if (!is_array($row))
			$pbm_site=TRUE;
	}

	if ($cc<>"")
	{
		// Contrôle qu'un client n'essaye pas de "hacker" un contrat
		if ((@$_SESSION["niv_log"] == 1) AND ($cc <> @$_SESSION["code_log"]))
			$pbm_cli = TRUE;

		$row = lit_enr_cli($cc,TRUE);
		if (is_array($row))
		{
			extract ($row);

			// Contrôle qu'une agence n'essaye pas de "hacker" un contrat
			switch (@$_SESSION["niv_log"])
			{
				case 3 :
				case 4 :
					if (client_age_ok($cli_code,@$_SESSION["code_age"],TRUE)==FALSE)
						$detail_ok = TRUE;
					break;
				default :
					break;
			}
		}
		else
			$pbm_cli = TRUE;
	}
	else
		$pbm_cli = TRUE;

	if ($ci <> "")
	{
		// Récupération des informations intervention client
		$row = lit_enr_int($ci);
		if (is_array($row))
		{
			extract ($row);
			
			// Si intervention terminée, force le mode "view"
			if (formatedate($int_datefin) <> "")
				$td="view";

			if ($td <> "add")
			{
				// Contrôle qu'un client n'essaye pas de "hacker" une intervention
				if ((@$_SESSION["niv_log"] == 1) AND ($int_codecli <> @$_SESSION["code_log"]))
					$pbm_int = TRUE;
				// Contrôle qu'une agence n'essaye pas de "hacker" une intervention
				if (($int_codeage <> @$_SESSION["code_age"]) AND ($int_codeages <> @$_SESSION["code_age"]))
				{
					// Intervention non gérée ?
					if (trim($int_codeage)=="")
					{
						// On vérifie si client couvert par l'agence
						if (dep_in_zcc_age_open($cli_dep,$cli_codepays,@$_SESSION["code_age"],TRUE)==FALSE)
							$pbm_int=TRUE;
						else
						{
							// On affecte l'intervention à cette agence
							$int_codeage=@$_SESSION["code_age"];
							// On affecte le client à cette agence
							$cli_prop=@$_SESSION["code_age"];
						}
					}
				}
			}
		}
		else
		{
			if ($td<>"add")
				$pbm_int=TRUE;
		}
	}
	else
	{
		if ($td<>"add")
			$pbm_int=TRUE;
	}

	if ($co <> "")
	{
		// Récupération des informations contrat client
		$row = lit_enr_cocl($co);
		if (is_array($row))
		{
			extract ($row);
			
			// Construction de la chaîne des sites autorisés
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech = "SELECT scli_id FROM ".TBSCLI.",".TBSCLIC." WHERE ".TBSCLIC.".sclic_codecocl = '".$co."' AND ".TBSCLI.".scli_id = ".TBSCLIC.".sclic_idscli";
			$rs = mysql_query($rech) or die(mysql_error());
			while ($row = mysql_fetch_assoc($rs)) 
			{
				extract($row);
				$lstsites .= $scli_id."-";
			}
			if ($lstsites!="")
				$lstsites = substr($lstsites,0,strlen($lstsites)-1);
			$rech = "SELECT cocl_sitep FROM ".TBCOCL." WHERE cocl_code = '".$co."' AND cocl_sitep = 1";
			$rs = mysql_query($rech) or die(mysql_error());
			if (mysql_num_rows($rs)>0)
			{
				$sitep = TRUE;
			}
			mysql_free_result($rs);
			mysql_close($conn);
			
			// Si contrat terminé, force le mode "view"
			if (formatedate($cocl_datefin) <> "")
				$td="view";

			if ($td <> "add")
			{
				// Contrôle qu'un client n'essaye pas de "hacker" un contrat
				if ((@$_SESSION["niv_log"] == 1) AND ($cocl_codecli <> @$_SESSION["code_log"]))
					$pbm_cocl = TRUE;
				// Contrôle qu'une agence n'essaye pas de "hacker" un contrat
				if (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3)) AND ($cocl_codeage <> @$_SESSION["code_age"]))
					$pbm_cocl = TRUE;
			}
		}
		else
		{
			if ($td<>"add")
				$pbm_cocl=TRUE;
		}
	}

	if ($tr<>"")
	{
		$row = lit_enr_tec($tr,TRUE);
		if (is_array($row))
			extract ($row);
		else
			$pbm_int = TRUE;
	}
	else
		$pbm_int = TRUE;
}
else
{
	$cc = strip_tags(trim($_POST['cc'])); // Récupération code Client
	$ci = strip_tags(trim($_POST['ci'])); // Récupération code Intervention
}
$tab_sites = explode("-",substr($lstsites,0,strlen($lstsites)-1));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

<META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Sites intervention</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->

<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
<!--
var tab_champ=new Array(
	"nom:scli_choisi ; format:radio ; req:Y ; txt:Site d'intervention ; stok:saisieok ; stbad:saisiepasok");
//-->
</script>

<!-- Scripts Javascript divers -->
<script	type="text/javascript" src="../jscript/divers.js"></script>

</head>

<body>

<?PHP
if (($pbm_site==FALSE) AND ($pbm_cli==FALSE) AND ($pbm_int==FALSE) AND ($pbm_cocl==FALSE))
{
	// On enregistre les codes obligatoires
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	// ->Code du contrat en cours (historique contrat)
	$rech = "SELECT * FROM " .TBCOCLH. " WHERE `coclh_codeint` = '$ci'";
	$rs = mysql_query($rech) or die(mysql_error());
	if (mysql_num_rows($rs) == 1)
	{
		$rech2 = "UPDATE `" .TBCOCLH. "` SET `coclh_codecocl`='".$co."'";
		$rech2 .=" WHERE `coclh_codeint` = '".$ci."'";
	}
	else
	{
		$rech2 = "INSERT INTO " .TBCOCLH;
		$rech2.=" (coclh_codecli,coclh_codecocl,coclh_codeint)";
		$rech2.=" VALUES";
		$rech2.=" ('$cc','$co','$ci')";
	}
	$rs2 = mysql_query($rech2) or die(mysql_error());
	mysql_free_result($rs);
	// ->code agence gestionnaire du compte
	// ->code technicien responsable de l'intervention
	// ->Code du contrat en cours
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	$rech = "UPDATE `" .TBINT. "` SET `int_datemod`='".$datea."', `int_codemod`='".$_SESSION["code_log"]."',";
	$rech.= " `int_codeage`='".$ca."', `int_codetec`='".$tr."', `int_codecocl`= '".$co."'";
	$rech .=" WHERE `int_code` = '".$ci."'";
	$rs = mysql_query($rech) or die(mysql_error());
	mysql_close($conn);

	if (strip_tags(trim(@$_POST["val"])) <> $but_valider) // Si le formulaire n'a pas été validé
	{
	?>
		<p align="center"><span class="titrepage">SITES D'INTERVENTION</span></p>
		<p align="center">
		<?PHP
		if (($td=="add") OR ($td=="edit"))
		{
			echo "Merci de choisir le site d'intervention.";
			if ((@$_SESSION["niv_log"] <> 2) AND (@$_SESSION["niv_log"] <> 6) AND (@$_SESSION["niv_log"] <> 7)) 
			{
				echo "<br/><span class=\"annot_petit_it\">";
				echo "Si vous modifiez votre choix par rapport &agrave; l'actuel,<br/>"; 
				echo "la liste des mat&eacute;riels/probl&egrave;mes/travail effectu&eacute; pr&eacute;c&eacute;demment g&eacute;n&eacute;r&eacute;e,<br />";
				echo "celle des contrats possibles, et celle des techniciens seront remises &agrave; z&eacute;ro.";
				echo "</span>";
			}
			echo "<br /><br />";
			echo "<span class=\"annot_std_it\">";
			if ($co<>"")
				echo "Liste des sites couverts par le contrat ".$co.".";
			else
				echo "Liste de tous les sites actifs.";
			echo "</span>";
		}
		?>
		</p>		
	
		<form name="sitesi_lst" method="post" action="sitesi_lst.php" onSubmit="javascript:; return (VForm(this,tab_champ,'','<?PHP echo $_SESSION["lng"]; ?>'));">
		<input name="ci" type="hidden" id="ci" value="<?PHP echo $ci ?>">
		<input name="cc" type="hidden" id="cc" value="<?PHP echo $cc ?>">
		<input name="co" type="hidden" id="co" value="<?PHP echo $co ?>">
		<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
		<input name="dte" type="hidden" id="dte" value="<?PHP echo $dte ?>">
		<input name="si" type="hidden" id="si" value="<?PHP echo $si ?>">
		<input name="ca" type="hidden" id="ca" value="<?PHP echo $ca ?>">
		<input name="cas" type="hidden" id="cas" value="<?PHP echo $cas ?>">
		<?PHP
		// Création de la liste des sites secondaires
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM `" .TBSCLI. "` WHERE `scli_codecli`= '".$cc."' AND `scli_actif`=1";
		switch (@$_SESSION["niv_log"])
		{
			case 3 :
			case 4 :
				// L'agence n'est pas celle qui gère le compte principal
				if ($cli_prop<>@$_SESSION["code_age"])
					$rech.=" AND `scli_prop`='".@$_SESSION["code_age"]."'";
				break;
			default :
				break;
		}
		$rech.= " ORDER BY `scli_ste`";
		$rs = mysql_query($rech) or die(mysql_error());
		
		if ((mysql_num_rows($rs) <> 0) OR ($sitep==TRUE))
		{
			echo "<table class=\"MtableD\" border=\"0\" width=\"890\" cellpadding=\"0\" cellspacing=\"0\" align=\"center\">\n";
			 
			// Création de l'entête de la table "sites d'intervention"
			echo "<th>";
			echo "Coordonn&eacute;es";
			echo "</th>\n";
			echo "<th>";
			echo "Tel/Fax";
			echo "</th>\n";
			echo "<th>";
			echo "Contact";
			echo "</th>\n";
			echo "<th>";
			echo "Créé le";
			echo "</th>\n";
			echo "<th>";
			echo "Choisir";
			echo "</th>\n";
			
			$j = 0;
			if (($sitep==TRUE) OR ($co==""))
			{
				$affsitep=TRUE;
				switch (@$_SESSION["niv_log"])
				{
					case 3 :
					case 4 :
						// L'agence n'est pas celle qui gère le compte principal
						if ($cli_prop<>@$_SESSION["code_age"])
							$affsitep=FALSE;
						break;
					default :
						break;
				}
				
				if ($affsitep==TRUE)
				{
					// Création de l'entête de ligne (TR)
					creetrlstdet($j);
					
					echo "<td>\n";
					echo "Site principal";
					echo "</td>\n";
					echo "<td align=\"center\">\n";
					echo "&nbsp;";
					echo "</td>\n";
					echo "<td align=\"center\">\n";
					echo "&nbsp;";
					echo "</td>\n";
					echo "<td align=\"center\">\n";
					echo "&nbsp;";
					echo "</td>\n";
		
					echo "<td align=\"center\">\n";
		
					$choisi = FALSE;
		
					if ($si==0)
						$choisi = TRUE;
		
					$readonly="";
					if ($td=="view")
						$readonly="disabled";
	
					if ($choisi == TRUE)
					{
						if($j%2 == 0)  
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"0\" class=\"TRalter1D\" checked ".$readonly.">";
						else
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"0\" class=\"TRalter2D\" checked ".$readonly.">";
					}
					else
					{
						if($j%2 == 0)  
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"0\" class=\"TRalter1D\" ".$readonly.">";
						else
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"0\" class=\"TRalter2D\" ".$readonly.">";
					}
					echo "</td>\n";
					echo "</tr>\n";
				
					$j++;
				}
			}
			
			$tab_sites=explode("-",$lstsites);

			while ($row = mysql_fetch_assoc($rs)) 
			{         
				if ((exist_txt_in_tabtxt($row["scli_id"],$tab_sites)==TRUE) OR ($co==""))
				{
					// Création de l'entête de ligne (TR)
					creetrlstdet($j);
					
					echo "<td>\n";
					echo htmlspecialchars($row["scli_ste"],ENT_NOQUOTES);
					echo "<br>";
					echo htmlspecialchars($row["scli_adr1"],ENT_NOQUOTES);
					echo "<br>";
					if ($row["scli_adr2"]<>"")
					{
						echo htmlspecialchars($row["scli_adr2"],ENT_NOQUOTES);
						echo "<br>";
					}
					echo Retournecp_openId($row["scli_ville"],FALSE)." ".Retourneville_OpenId($row["scli_ville"],FALSE)."<br>";
					// Détail propriétaire
					if  (((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9)) OR (((@$_SESSION["niv_log"] == 4) OR (@$_SESSION["niv_log"] == 3)) AND ($cli_prop=@$_SESSION["code_age"])))
					{
						echo "<div class=\"annot_petit_it\" align=\"right\">";
						$txt = "G&eacute;r&eacute; par ";
						switch ($row["scli_prop"])
						{
							case "-1" :
								$txt.= "agences couvrant le d&eacute;partement";
								break;
							case "0" :
								if (trim($cli_prop)<>"")
									$txt.= $cli_prop;
								else
									$txt = "Non affect&eacute;";
								break;
							default :
								if (trim($row["scli_prop"])<>"")
									$txt.= $row["scli_prop"];
								else
								{
									if (trim($cli_prop)<>"")
										$txt.= $cli_prop;
									else
										$txt = "Non affect&eacute;";
								}
								break;
						}
						echo $txt;
						echo "</div>";
					}
					echo "</td>\n";
					echo "<td align=\"center\">\n";
					echo "T.".$row["scli_telf"];
					if ($row["scli_fax"]<>"")
					{
						echo"<br>";
						echo "F.".$row["scli_fax"];
					}
					echo "</td>\n";
					echo "<td align=\"center\">\n";
					echo htmlspecialchars($row["scli_rcivil"],ENT_NOQUOTES)." ".htmlspecialchars($row["scli_rprenom"],ENT_NOQUOTES)." ".htmlspecialchars($row["scli_rnom"],ENT_NOQUOTES);
					echo "<br>";
					echo "T.".$row["scli_rtelf"];
					if ($row["scli_rfax"]<>"")
					{
						echo "<br>";
						echo "F.".$row["scli_rfax"];
					}
					if ($row["scli_rtelp"]<>"")
					{
						echo "<br>";
						echo "P.".$row["scli_rtelp"];
					}
					echo "</td>\n";
					echo "<td align=\"center\">\n";
					echo formatedate($row["scli_datecrea"]);
					echo "</td>\n";
		
					echo "<td align=\"center\">\n";
					$choisi = FALSE;
					if ($row["scli_id"]==$si)
						$choisi = TRUE;
		
					$readonly="";
					if ($td=="view")
					{
						$readonly="disabled";
					}
			
					if ($choisi == TRUE)
					{
						if($j%2 == 0)  
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"".$row["scli_id"]."\" class=\"TRalter1D\" checked ".$readonly.">";
						else
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"".$row["scli_id"]."\" class=\"TRalter2D\" checked ".$readonly.">";
					}
					else
					{
						if($j%2 == 0)  
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"".$row["scli_id"]."\" class=\"TRalter1D\" ".$readonly.">";
						else
							echo "<input type=\"radio\" name=\"scli_choisi\" value=\"".$row["scli_id"]."\" class=\"TRalter2D\" ".$readonly.">";
					}
					echo "</td>\n";
					echo "</tr>\n";
				
					$j++;
				}
			}
			
			echo "</table>\n";
			// Fin affichage table liste sites
		}
		mysql_free_result($rs);
		mysql_close($conn);  
		?>
		
		<p align="center">
		<?PHP
		if ($td<>"view")
		{
		?>
			<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="Remise &agrave; Z&eacute;ro">
			<input name="val" type="submit" class="bton_std" id="val" value="<?PHP echo $but_valider; ?>">
			<input name="annul" type="button" class="bton_std" id="annul" value="<?PHP echo $but_cancel; ?>" onClick="javascript:; self.close('fscomp');">
		<?PHP
		}
		else
		{
		?>
			<input name="annul" type="button" class="bton_std" id="annul" value="Fermer" onClick="javascript:; self.close('fscomp');">
		<?PHP
		}
		?>
		</p>
		</form>
	<?PHP
	}
	else
	{
		cre_js_ddeurs($cc,$_POST["scli_choisi"],"window.opener."); 
	?>
<script type="text/javascript">
<!--
// Mise à jour liste des demandeurs possibles
updatddeurs();
// Mise à jour des problèmes à traiter
var valmat=window.opener.document.int_maj.mat.value;
var valpbm=window.opener.document.int_maj.pbm.value;
<?PHP
$display="none";
if (exist_rpbm_actif_site($_POST["td"],$_POST["cc"],$_POST["ci"],$_POST["scli_choisi"]) == TRUE)
	$display="block";
// A-t'on changé de site ?
if ($_SESSION["scli_choisis"]<>$_POST["scli_choisi"])
	$_SESSION["pbm_choisis"] = '';
	
echo "var exsite=".$_POST["si"].";\n";
echo "var nouvsite=".$_POST["scli_choisi"].";\n";
echo "var affbout='".$display."';\n";
// On génère la variable qui va permettre de comparer
echo "var valtxtmat='".@$_SESSION["txtmatlst"]."';\n";
// On remet les valeurs générées à zéro car on repart sur un nouveau site
$_SESSION["txtmatlst"]='';
// On génère la variable qui va permettre de comparer
echo "var valtxtpbm='".@$_SESSION["txtpbmlst"]."';\n";
// On remet les valeurs générées à zéro car on repart sur un nouveau site
$_SESSION["txtpbmlst"]='';
// On génère la variable qui va permettre de comparer
echo "var valtxtfait='".@$_SESSION["txtfaitlst"]."';\n";
// On remet les valeurs générées à zéro car on repart sur un nouveau site
$_SESSION["txtfaitlst"]='';
?>
// On affiche ou on efface les boutons de choix
var objet1 = window.opener.document.getElementById('boutmat');
if (objet1)
	objet1.style.display = affbout;
var objet2 = window.opener.document.getElementById('notamat');
if (objet2)
	objet2.style.display = affbout;
var objet3 = window.opener.document.getElementById('boutpbm');
if (objet3)
	objet3.style.display = affbout;
var objet4 = window.opener.document.getElementById('notapbm');
if (objet4)
	objet4.style.display = affbout;
var objet5 = window.opener.document.getElementById('boutfait');
if (objet5)
	objet5.style.display = affbout;
var objet6 = window.opener.document.getElementById('notafait');
if (objet6)
	objet6.style.display = affbout;
if (exsite!=nouvsite)
{
	var matos=update_txt_in_txt(valmat,valtxtmat,'');
	window.opener.document.int_maj.mat.value=matos;
	// S'il n'y a pas de bouton (pas de problème sur le site choisi), on laisse la possibilité de saisir du texte dans le textarea
	// en enlevant le readonly
	if (affbout=='none')
		window.opener.document.int_maj.mat.readOnly = false;
	else
		window.opener.document.int_maj.mat.readOnly = true;
	
	var pbm=update_txt_in_txt(valpbm,valtxtpbm,'');
	window.opener.document.int_maj.pbm.value=pbm;
	// S'il n'y a pas de bouton (pas de problème sur le site choisi), on laisse la possibilité de saisir du texte dans le textarea
	// en enlevant le readonly
	if (affbout=='none')
		window.opener.document.int_maj.pbm.readOnly = false;
	else
		window.opener.document.int_maj.pbm.readOnly = true;
	<?PHP
	if ($_POST["td"]=="edit")
	{
	// On génère la variable qui va permettre de comparer
	echo "var valtxtfait='".@$_SESSION["txtfaitlst"]."';\n";
	// On remet les valeurs générées à zéro car on repart sur un nouveau site
	$_SESSION["txtfaitlst"]='';
	?>
	var valfait=window.opener.document.int_maj.fait.value;
	var fait=update_txt_in_txt(valfait,valtxtfait,'');
	window.opener.document.int_maj.fait.value=fait;
	// S'il n'y a pas de bouton (pas de problème sur le site choisi), on laisse la possibilité de saisir du texte dans le textarea
	// en enlevant le readonly
	if (affbout=='none')
		window.opener.document.int_maj.fait.readOnly = false;
	else
		window.opener.document.int_maj.fait.readOnly = true;
	<?PHP
	}
	?>
}
// On affecte le site et on met à jour la zone d'affichage du nom du site et de son gestionnaire
window.opener.document.int_maj.idsite.value=nouvsite;
window.opener.document.getElementById("nomsite").innerHTML='<?PHP echo str_replace("'","\'",nom_scli($_POST["scli_choisi"],TRUE,TRUE,FALSE)); ?>';
<?PHP
$row = lit_enr_cli($_POST["cc"],TRUE);
if (is_array($row))
	extract ($row);
if ($_POST["scli_choisi"]>0)
{
	$row=lit_enr_scli_id($_POST["scli_choisi"],TRUE);
	if (is_array($row))
		extract($row);
}
// Construction du tableau des agences couvrant le site du client
switch (@$_SESSION["niv_log"])
{
	case 3 :
	case 4 :
		// Il y a un site affecté (autre que site principal) à l'intervention
		if ($_POST["scli_choisi"]>0)
		{
			if ($cli_prop <> NULL) // Une agence est affectée à ce client
			{
				// Ce n'est pas l'agence gestionnaire du compte client qui saisi
				if ($cli_prop <> @$_SESSION["code_age"])
				{
					$row2=lit_enr_age($_SESSION["code_age"],TRUE);
					if (is_array($row2))
					{
						extract($row2);
						$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
					}
				}
				// C'est l'agence gestionnaire du compte qui saisi
				else
				{
					switch ($scli_prop)
					{
						// Toutes les agences couvrant le département de ce site
						case "-1" :
							// 1er enregistrement = cette agence
							$row2=lit_enr_age($_SESSION["code_age"],TRUE);
							if (is_array($row2))
							{
								extract($row2);
								$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
							}
							$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
							mysql_select_db(DBNAME);
							$rech = "SELECT * FROM ".TBZCC." WHERE `zcc_codepays`='".$scli_codepays."' AND `zcc_codedep`='".$scli_dep."'";
							$rech.= " AND `zcc_code` <> '".$_SESSION["code_age"]."'";
							$rech.= " ORDER BY zcc_code";
							$rs = mysql_query($rech) or die(mysql_error());
							if (mysql_num_rows($rs) >0)
							{
								while ($row = mysql_fetch_assoc($rs)) 
								{
									$row2=lit_enr_age($row["zcc_code"],FALSE);
									if (is_array($row2))
									{
										extract($row2);
										$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
									}
								}
							}
							mysql_close($conn);
							break;
						// Uniquement agence gestionnaire du compte
						case "0" :
							$row2=lit_enr_age($_SESSION["code_age"],TRUE);
							if (is_array($row2))
							{
								extract($row2);
								$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
							}
							break;
						// Uniquement une agence en particulier
						default :
							$row2=lit_enr_age($scli_prop,TRUE);
							if (is_array($row2))
							{
								extract($row2);
								$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
							}
							break;
					}
				}
			}
			// Aucune agence n'est affectée au client.
			// L'agence qui saisi va donc être propriétaire du compte et peut affecter toute agence couvrant le département du site
			else
			{
				switch ($scli_prop)
				{
					// Toutes les agences couvrant le département de ce site
					case "-1" :
						// 1er enregistrement = cette agence
						$row2=lit_enr_age($_SESSION["code_age"],TRUE);
						if (is_array($row2))
						{
							extract($row2);
							$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
						}
						// Autres agences
						$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
						mysql_select_db(DBNAME);
						$rech = "SELECT * FROM ".TBZCC." WHERE `zcc_codepays`='".$scli_codepays."' AND `zcc_codedep`='".$scli_dep."'";
						$rech.= " AND `zcc_code` <> '".$_SESSION["code_age"]."'";
						$rech.= " ORDER BY zcc_code";
						$rs = mysql_query($rech) or die(mysql_error());
						if (mysql_num_rows($rs) >0)
						{
							while ($row = mysql_fetch_assoc($rs)) 
							{
								$row2=lit_enr_age($row["zcc_code"],FALSE);
								if (is_array($row2))
								{
									extract($row2);
									$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
								}
							}
						}
						mysql_close($conn);
						break;
					// Uniquement agence gestionnaire du compte
					case "0" :
						$row2=lit_enr_age($_SESSION["code_age"],TRUE);
						if (is_array($row2))
						{
							extract($row2);
							$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
						}
						break;
					// Uniquement une agence en particulier
					default :
						if (trim($scli_prop) <> "") // Une agence est affectée à ce site
						{
							$row2=lit_enr_age($scli_prop,TRUE);
							if (is_array($row2))
							{
								extract($row2);
								$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
							}
						}
						else
						{
							$row2=lit_enr_age($_SESSION["code_age"],TRUE);
							if (is_array($row2))
							{
								extract($row2);
								$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
							}
						}
						break;
				}
			}
		}
		else
		{
			if ($cli_prop <> NULL) // Une agence est affectée à ce client
			{
				$row2=lit_enr_age($_SESSION["code_age"],TRUE);
				if (is_array($row2))
				{
					extract($row2);
					$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
				}
			}
			else // Aucune agence n'est affectée à ce client
				$tab_codeages["-1"]="Gestionnaire du compte";
		}
		break;
	default :
		// Il y a un site affecté (autre que site principal) à l'intervention
		if ($_POST["scli_choisi"]>0)
		{
			if ($cli_prop <> NULL) // Une agence est affectée à ce client
			{
				switch ($scli_prop)
				{
					// Toutes les agences couvrant le département de ce site
					case "-1" :
						// 1er enregistrement = agence propriétaire
						$row2=lit_enr_age($cli_prop,TRUE);
						if (is_array($row2))
						{
							extract($row2);
							$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
						}
						// Autres agences
						$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
						mysql_select_db(DBNAME);
						$rech = "SELECT * FROM ".TBZCC." WHERE `zcc_codepays`='".$scli_codepays."' AND `zcc_codedep`='".$scli_dep."'";
						$rech.= " AND `zcc_code` <> '".$cli_prop."'";
						$rech.= " ORDER BY zcc_code";
						$rs = mysql_query($rech) or die(mysql_error());
						if (mysql_num_rows($rs) >0)
						{
							while ($row = mysql_fetch_assoc($rs)) 
							{
								$row2=lit_enr_age($row["zcc_code"],FALSE);
								if (is_array($row2))
								{
									extract($row2);
									$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
								}
							}
						}
						mysql_close($conn);
						break;
					// Uniquement agence gestionnaire du compte
					case "0" :
						$row2=lit_enr_age($cli_prop,TRUE);
						if (is_array($row2))
						{
							extract($row2);
							$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
						}
						break;
					// Uniquement une agence en particulier
					default :
						if (trim($scli_prop) <> "") // Une agence est affectée à ce site
						{
							$row2=lit_enr_age($scli_prop,TRUE);
							if (is_array($row2))
							{
								extract($row2);
								$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
							}
						}
						else
							$tab_codeages["-1"]="Gestionnaire du compte";
						break;
				}
			}
			// Aucune agence n'est affectée au client.
			else
			{
				switch ($scli_prop)
				{
					// Toutes les agences couvrant le département de ce site
					case "-1" :
						$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
						mysql_select_db(DBNAME);
						$rech = "SELECT * FROM ".TBZCC." WHERE `zcc_codepays`='".$scli_codepays."' AND `zcc_codedep`='".$scli_dep."'";
						$rech.= " ORDER BY zcc_code";
						$rs = mysql_query($rech) or die(mysql_error());
						if (mysql_num_rows($rs) >0)
						{
							while ($row = mysql_fetch_assoc($rs)) 
							{
								$row2=lit_enr_age($row["zcc_code"],FALSE);
								if (is_array($row2))
								{
									extract($row2);
									$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
								}
							}
						}
						mysql_close($conn);
						break;
					// Uniquement agence gestionnaire du compte
					case "0" :
						$tab_codeages["-1"]="Gestionnaire du compte";
						break;
					// Uniquement une agence en particulier
					default :
						if (trim($scli_prop) <> "") // Une agence est affectée à ce site
						{
							$row2=lit_enr_age($scli_prop,TRUE);
							if (is_array($row2))
							{
								extract($row2);
								$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
							}
						}
						else
							$tab_codeages["-1"]="Gestionnaire du compte";
						break;
				}
			}
		}
		else
		{
			if ($cli_prop <> NULL) // Une agence est affectée à ce client
			{
				$row2=lit_enr_age($cli_prop,TRUE);
				if (is_array($row2))
				{
					extract($row2);
					$tab_codeages[$age_code]=$age_nom." (".$age_code.")";
				}
			}
			else // Aucune agence n'est affectée à ce client
				$tab_codeages["-1"]="Gestionnaire du compte";
		}
		break;
}
?>
var objet=window.opener.document.getElementById("agesite");
if (objet)
{
	objet.innerHTML="";
	<?PHP
	foreach ($tab_codeages as $key=>$value)
	{
	?>
		option = window.opener.document.createElement("option");
		option.text = "<?PHP echo $value; ?>";
		option.value = "<?PHP echo $key; ?>";
		if (!document.all)
		{
			before= objet.options[1];
		}
		else
		{
		  before=1;
		}
		objet.add(option,before);
	<?PHP
	}
	?>
	// On met à jour la liste des contrats possibles
	<?PHP
	$tab_cocl = array();
	// On récupère le nombre de contrats actifs pour ce client
	// dont les dates de début et de fin "encadrent" la date du jour ou de l'intervention
	// (si pas de date de rendez-vous, on prend la date de demande..sinon on prend la date de rendez-vous)
	$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
	mysql_select_db(DBNAME);
	$rech ="SELECT * FROM ".TBCOCL." WHERE `cocl_codecli` = '".$_POST["cc"]."'";
	switch ($_POST["td"])
	{
		case "add" :
			$rech.=" AND `cocl_datefin` = '0000-00-00' AND `cocl_datesig` <> '0000-00-00'";
			$rech.=" AND `cocl_dated` <= '".$datea."' AND (`cocl_datef` >= '".$datea."' OR `cocl_datef` = '0000-00-00')";
			break;
		default :
			$rech.=" AND ((`cocl_datefin` = '0000-00-00' AND `cocl_datesig` <> '0000-00-00'";
			$rech.=" AND `cocl_dated` <= '".$_POST["dte"]."' AND (`cocl_datef` >= '".$_POST["dte"]."' OR `cocl_datef` = '0000-00-00'))";
			if ($_POST["co"]<>"")
				$rech.=" OR cocl_code='".$_POST["co"]."')";
			else
				$rech.=")";
			break;
	}
	$rech.=" ORDER BY cocl_code";
	$rs = mysql_query($rech) or die(mysql_error());
	$nb_cocl=mysql_num_rows($rs);
	
	// Construction du tableau des contrats du site
	if ($nb_cocl>0)
	{
		$tab_cocl[""]="-- Choisissez un contrat --";
	
		while ($resultat = mysql_fetch_array($rs)) 
		{
			extract($resultat);
			$addok=TRUE;
			if ($_POST["scli_choisi"]>0)
			{
				$rech2 = "SELECT * FROM " .TBSCLIC. " WHERE sclic_codecocl = '".$cocl_code."' AND sclic_idscli='".$_POST["scli_choisi"]."'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
				if (mysql_num_rows($rs2)==0)
					$addok=FALSE;
			}
			else
			{
				if ($cocl_sitep==FALSE)
					$addok=FALSE;
			}
			
			if ($addok==TRUE)
			{
				$rech2 = "SELECT * FROM " .TBCO. " WHERE co_code = '".$cocl_codeco."'";
				$rs2 = mysql_query($rech2) or die(mysql_error());
				if ($row2 = mysql_fetch_array($rs2))
					extract($row2);
				if ($cocl_delai <> 0)
					$txt_cocl = $cocl_code." - ".$co_nom." (".$cocl_delai."h";
				else
					$txt_cocl = $cocl_code." - ".$co_nom." (Pas de délai";
				if ($cocl_datef<>"0000-00-00")
					$txt_cocl.=", ".$txt_div_ech." ".formatedate($cocl_datef);
				else
					$txt_cocl.=", ".$txt_div_ssech." ";
				$txt_cocl.=")";
	
				if ($cocl_typh==1)
				{
					// On vérifie s'il y a du temps travaillé pour le contrat, sur cette intervention
					$tpstrav=0;
					$tpstrav=tps_trav_int($cocl_code,$ci,FALSE);
					
					// On calcule le solde réel du contrat, en ne tenant pas compte du temps, pour cette intervention,
					// déjà utilisé dans ce contrat
					$solde_reel=soldes_reel_contrat($cocl_code,FALSE)+$tpstrav;
					$txt_cocl.=" - solde, hors cette intervention -> ".heure_to_hhmm(sec_heure($solde_reel,3,TRUE));
				}

				$tab_cocl[$cocl_code]=$txt_cocl;
			}
		}
	}
	else
		$tab_cocl[""]="-- Pas de contrat actif sur ce client --";
	mysql_free_result($rs);
	mysql_close($conn);
?>
}
var objet=window.opener.document.getElementById("codecocl");
if (objet)
{
	var codecocl=objet.value;
	objet.innerHTML="";
	<?PHP
	foreach ($tab_cocl as $key=>$value)
	{
	?>
		option = window.opener.document.createElement("option");
		option.text = "<?PHP echo $value; ?>";
		option.value = "<?PHP echo $key; ?>";
		if (!document.all)
		{
			before= objet.options[1];
		}
		else
		{
		  before=1;
		}
		objet.add(option,before);
	<?PHP
	}
	?>
	objet.value=codecocl;
	// On met à jour la liste des techniciens possibles
	var objet=window.opener.document.getElementById("codetec");
	if (objet)
	{
		var codetecr=objet.value;
		objet.innerHTML="";
		// On crée les deux premières lignes de choix
		option = window.opener.document.createElement("option");
		option.text = "-- Faites votre choix --";
		option.value = "";
		if (!document.all)
		{
			before= objet.options[1];
		}
		else
		{
		  before=1;
		}
		objet.add(option,before);

		option = window.opener.document.createElement("option");
		option.text = "-- Dossier non affecté --";
		option.value = "-1";
		if (!document.all)
		{
			before= objet.options[1];
		}
		else
		{
		  before=1;
		}
		objet.add(option,before);

		<?PHP
		// Création de la liste des Techniciens de l'agence propriétaire et de l'agence responsable du site
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		switch ($_SESSION["niv_log"])
		{
			case 3 :
			case 4 :
				$rech = "SELECT * FROM ".TBTEC." WHERE `tec_codeage` = '".$_POST["ca"]."'";
				break;
			default :
				$rech = "SELECT * FROM ".TBTEC." WHERE";
				if (count($tab_codeages)>1)
					$rech.="(";
				foreach ($tab_codeages as $key=>$value)
				{
					$rech.=" `tec_codeage` = '".$key."' OR";
				}
				// Suppression du dernier 'OR'
				$rech = substr($rech,0,strlen($rech)-3);
				if (count($tab_codeages)>1)
					$rech.=")";
				break;
		}
		$rech.=" AND `tec_out` = '0' ORDER BY tec_nom";
		$rs = mysql_query($rech) or die(mysql_error());
	
		if (mysql_num_rows($rs) <> 0)
		{
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
		?>
				option = window.opener.document.createElement("option");
				option.text = "<?PHP echo $tec_nom.' '.$tec_prenom.' ('.$tec_codeage.')'; ?>";
				option.value = "<?PHP echo $tec_code; ?>";
				if (!document.all)
				{
					before= objet.options[1];
				}
				else
				{
				  before=1;
				}
				objet.add(option,before);
		<?PHP
			}
		}
		mysql_free_result($rs);
		mysql_close($conn);
	?>
		objet.value=codetecr;
	}
}
self.close();
//-->
</script>
<?PHP
	}
}
else
{
?>
	<script type="text/javascript">
	<!--
	self.close();
	//-->
	</script>
<?PHP
}
?>
</body>
</html>
